Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::AlertedSensorManager::MonitoredSensorsChangedEvent Struct Reference

Event: A change in the list of monitored sensors occurred. More...

Inheritance diagram for sensors::AlertedSensorManager::MonitoredSensorsChangedEvent:

## Public Attributes
SensorCounts | counts
| Sensor statistics after the change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A change in the list of monitored sensors occurred.

This event is fired when sensors are added to or removed from the list of monitored sensors. It is not fired when a monitored sensor's alert state changes.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl